Bug Hunting Session
Bug 95906 - VIEWING: Elements anchored as 'To Character' on last page of document appear on first page in Web Layout
Summary: VIEWING: Elements anchored as 'To Character' on last page of document appear ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha1
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Web-Layout
  Show dependency treegraph
 
Reported: 2015-11-18 13:39 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-23 14:09 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-11-18 13:39:05 UTC
This was previously reported in bug 83300 and Miklos mentioned to reopen this issue as a new non-regression bug.

Created attachment 105493 [details]
screenshot with red rectangles around the 3 wrong parts

Steps:
1) Open attachment 111597 [details]
2) Switch to Web Layout
3) 2 frames and microsoft logo image that were on the last page in Normal/Print Layout will appear now on the first page

Version: 5.1.0.0.alpha1+
Build ID: 32d4c03cba399ada807b8ec113a3928aa9e3ff7b
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-11-17_00:57:30
Locale: en-US (en_US.UTF-8)

Miklos' comment
-----------------------
The mentioned shapes are anchored to the top of the page, and in web view, you have a single page, that's how they are moved to the top. The reason it started to behave this way at the above commit is that previously we didn't import the anchor settings correctly. So technically this is not a regression, just a Word vs. Writer difference that became visible, now that an import filter correctness problem is fixed.

Making the Writer web layout behave like the Word one wrt. page text are anchoring is far from trivial... feel free to open a non-regression bug for it, if you want.
Comment 1 Buovjaga 2015-11-19 06:47:24 UTC
Repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: b216cc1b8096eb60c27f67e8c27b7cd756c75e38
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-11-12_00:06:20
Locale: fi-FI (fi_FI)
Comment 2 QA Administrators 2017-10-23 14:09:18 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug